using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SpaceInvaders
{
    internal class SuperConsole
    {
        static object semaphore = new object();

        static public void WriteAtPosition(int x, int y, string content)
        {
            lock (semaphore)
            {
                Console.SetCursorPosition(x, y);
                Console.Write(content);
            }

        }
    }
}
